Bug 224122 - netowrk speed not set up according to manual settings
Summary: netowrk speed not set up according to manual settings
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 08:49 UTC by LENHOF
Modified: 2014-03-17 03:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 21:31:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description LENHOF 2007-01-24 08:49:16 UTC
Description of problem:

Network Speed is not set up according to the option ETHTOOL_OPTS in
/etc/sysconfig/network-scripts/ifcfg-ethxxx

I've managed to make it work by adding a sleep before this option is applied in
the ifup script... Perhaps a little better mean is to move the 

[ -n "${LINKDELAY}" ] && /bin/sleep ${LINKDELAY} 

line before 

if [ -n "$ETHTOOL_OPTS" ] ; then
        /sbin/ethtool -s ${REALDEVICE} $ETHTOOL_OPTS
    fi

and add an information in the documentation to specify that if the speed is not
set up according to the speed specified, a recommandation is to add a LINK_DELAY
option...

I think that for some network cards, the link is not set up quickly, so when the
speed is set up by ethtool, the network card is not completely up... And when it
is up, the speed is overrided by default settings


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bill Nottingham 2007-01-24 19:13:29 UTC
What options are you using?

Comment 2 LENHOF 2007-01-25 06:18:06 UTC
ETHTOOL_OPTS="speed 100 duplex full autoneg off"

Regards,

Comment 3 Bill Nottingham 2007-01-25 15:30:16 UTC
CC'ing ethtool maintainer - I don't see why the effect would change with or
without a sleep.

Comment 4 LENHOF 2008-02-29 20:17:28 UTC
The problem could be solved by setting the port to "PortFast" on the cisco
switch, I can not verify it right now. I think it could be on an FAQ somewhere...

Comment 5 Bill Nottingham 2008-12-08 21:31:37 UTC
Given that this appears to be a switch issue, closing as not an initscripts bug.


Note You need to log in before you can comment on or make changes to this bug.